登录  
 加关注
查看详情
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

长卿学堂(163牛棚分馆)

好好转载,天天学习。

 
 
 

日志

 
 

筛选  

2011-12-21 22:09:54|  分类: AUTOCAD |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

筛选
Posted on 2008-01-14 13:48 无锋不起浪 阅读(975) 评论(1) 编辑 收藏
1.过滤块
            PromptSelectionOptions pOptions = new PromptSelectionOptions();
            TypedValue[] filList =    { new TypedValue((int)DxfCode.Start, "INSERT") };
            SelectionFilter filter = new SelectionFilter(filList);
            PromptSelectionResult res = ed.GetSelection(pOptions, filter);//***
            if (res.Status != PromptStatus.OK) return;
            Autodesk.AutoCAD.EditorInput.SelectionSet SS = res.Value;
            ObjectId[] idArray = SS.GetObjectIds();

2.过滤多线
           TypedValue[] filList =    { new TypedValue((int)DxfCode.Start, "LWPolyLine") };
            SelectionFilter filter = new SelectionFilter(filList);
            PromptSelectionResult res = ed.SelectAll(filter);//***
                       if (res.Status != PromptStatus.OK) return;
            Autodesk.AutoCAD.EditorInput.SelectionSet SS = res.Value;
            ObjectId[] idArray = SS.GetObjectIds();

  评论这张
 
阅读(218)| 评论(0)

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2018